﻿
/* ------------ DIVS -------------- */

.divFiltrado {
    width: 100%;
    margin-top: 50px;
    background-color: #F2F2F2;
    padding: 15px;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    box-shadow: 5px 10px 10px -11px #15284B;
    animation-duration: 1s;
    animation: blur-in-expand .8s;
}

.divForm {
    width: 100%;
    margin-top: 10px;
    background-color: #F2F2F2;
    padding: 15px;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    box-shadow: 5px 10px 10px -11px #15284B;
    animation-duration: 1s;
    animation: blur-in-expand .8s;
}

.divSecForm {
    background-color: #F2F2F2;
    width: 100%;
    margin: 1em;
    padding: 5px;
    border-radius: 5px;
    display: flex;
    box-shadow: 5px 10px 10px -11px #15284B;
    animation-duration: 1s;
    animation: blur-in-expand .8s;
}

.divSecFormCol {
    background-color: #F2F2F2;
    width: 100%;
    margin: 1em;
    padding: 15px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
   /* box-shadow: 5px 10px 10px -11px #15284B;*/
    animation-duration: 1s;
    animation: blur-in-expand .8s;
}

.secPrincipalInfo {
    background-color: #F2F2F2;
    width: 100%;
    margin: 1em;
    padding: 1px;
    border-radius: 5px;
    display: flex;
    /*box-shadow: 5px 10px 10px -11px #15284B;*/
    animation-duration: 1s;
    animation: blur-in-expand .8s;
}

.secPrincipalInfoCol {
    background-color: #F2F2F2;
    width: 100%;
    margin: 1em;
    padding: 1px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    /* box-shadow: 5px 10px 10px -11px #15284B;*/
    animation-duration: 1s;
    animation: blur-in-expand .8s;
}

.divTable {
    width: 100%;
    margin-top: 10px;
    background-color: #F2F2F2;
    padding: 15px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    box-shadow: 5px 10px 10px -11px #15284B;
    animation-duration: 1s;
    animation: blur-in-expand .8s;
}

.divArchivo {
    width: 100%;
    margin-top: 5px;
    background-color: #F2F2F2;
    padding: 15px;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    box-shadow: 5px 10px 10px -11px #15284B;
    animation-duration: 1s;
    animation: blur-in-expand .8s;
}

.divReturn {
    width: 100%;
    margin-top: 50px;
    background-color: #ffffff;
    padding: 15px;
    border-radius: 5px;
    /*display: flex;*/
    flex-direction: column;
    /*box-shadow: 5px 10px 10px -11px #15284B;*/
    animation-duration: 1s;
    animation: blur-in-expand .8s;
}

.divReturnLogin {
    width: 100%;
    margin-top: 10px;
    background-color: #ffffff;
    padding: 15px;
    border-radius: 4px;
    /*display: flex;*/
    flex-direction: column;
    /*box-shadow: 5px 10px 10px -11px #15284B;*/
    animation-duration: 1s;
    animation: blur-in-expand .8s;
}

.divContacto {
    width: 100%;
    margin-top: 30px;
    background-color: #F2F2F2;
    padding: 15px;
    border-radius: 4px;
    display: flex;
    flex-direction: column;
    box-shadow: 5px 10px 10px -11px #15284B;
    animation-duration: 1s;
    animation: blur-in-expand .8s;
    padding: 10px 10px 10px 10px;
}


/* ----------------------------- */
/* ----------- BOTONES --------- */
.botonAdd {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    font-size: 12px;
    letter-spacing: 2px;
    color: #ffffff;
    background-color: #15284B;
    border: none;
    outline: none;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    border-radius: 5px;
}

    .botonAdd:hover {
        background-color: #31BE0E;
        color: #ffffff;
    }

    .botonAdd::before {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(0);
        width: 15px;
        height: 15px;
        border-radius: 50%;
        background-color: #31BE0E;
        /*opacity: 0.8;*/
        transition: all 0.5s ease-in-out;
    }

    .botonAdd:hover::before {
        transform: translate(-50%, -50%) scale(20);
        opacity: 0;
    }


.botonDetail {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    font-size: 12px;
    letter-spacing: 2px;
    color: #ffffff;
    background-color: #15284B;
    border: none;
    outline: none;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.3s ease-out;
    border-radius: 5px;
}

    .botonDetail:hover {
        background-color: #859894;
        color: #ffffff;
    }

    .botonDetail::before {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(0);
        width: 15px;
        height: 15px;
        border-radius: 50%;
        background-color: #ffffff;
        opacity: 0.8;
        transition: all 0.5s ease-out;
    }

    .botonDetail:hover::before {
        transform: translate(-50%, -50%) scale(20);
        opacity: 0;
    }



.botonUpdate {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    font-size: 12px;
    letter-spacing: 2px;
    color: #ffffff;
    background-color: #15284B;
    border: none;
    outline: none;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.3s ease-out;
    border-radius: 5px;
}

    .botonUpdate:hover {
        background-color: #ffd800;
        color: #ffffff;
    }

    .botonUpdate::before {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(0);
        width: 15px;
        height: 15px;
        border-radius: 50%;
        background-color: #ffd800;
        opacity: 0.8;
        transition: all 0.5s ease-out;
    }

    .botonUpdate:hover::before {
        transform: translate(-50%, -50%) scale(20);
        opacity: 0;
    }



.botonCancel {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    font-size: 12px;
    letter-spacing: 2px;
    color: #ffffff;
    background-color: #15284B;
    border: none;
    outline: none;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.3s ease-out;
    border-radius: 5px;
}

    .botonCancel:hover {
        background-color: #D03B1B;
        color: #ffffff;
    }

    .botonCancel::before {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(0);
        width: 15px;
        height: 15px;
        border-radius: 50%;
        background-color: #D03B1B;
        /*opacity: 0.8;*/
        transition: all 0.5s ease-out;
    }

    .botonCancel:hover::before {
        transform: translate(-50%, -50%) scale(20);
        opacity: 0;
    }

.botonFile {
    position: relative;
    display: inline-block;
    padding: 10px 20px;
    font-size: 12px;
    letter-spacing: 2px;
    color: #ffffff;
    background-color: #15284B;
    border: none;
    outline: none;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    border-radius: 5px;
}

    .botonFile:hover {
        background-color: #859894;
        color: #ffffff;
    }

    .botonFile::before {
        content: "";
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(0);
        width: 15px;
        height: 15px;
        border-radius: 50%;
        background-color: #859894;
        /*opacity: 0.8;*/
        transition: all 0.5s ease-in-out;
    }

    .botonFile:hover::before {
        transform: translate(-50%, -50%) scale(20);
        opacity: 0;
    }

/* ----------------------------- */
/* ----------- INPUTS ---------- */

.inputTyping {
    font-weight: 500;
    font-size: 14px;
    height: 30px;
    border-radius: 5px;
    padding-left: 15px;
    border: 1px solid #e5e5e5;
    border-bottom: 2px solid #e5e5e5;
    outline: none;
    transition: .3s;
}

    .inputTyping:focus {
        border-bottom: 2px solid #15284B;
        -webkit-transition: 0.1s;
        transition: .3s;
    }


.form button {
    border: none;
    background: none;
    color: #8b8ba7;
}
/* styling of whole input container */
.form {
    --timing: 0.3s;
    --width-of-input: 200px;
    --height-of-input: 40px;
    --border-height: 2px;
    --input-bg: #fff;
    --border-color: #15284B;
    --border-radius: 5px;
    --after-border-radius: 1px;
    position: relative;
    width: var(--width-of-input);
    height: var(--height-of-input);
    display: flex;
    align-items: center;
    padding-inline: 0.8em;
    border-radius: var(--border-radius);
    transition: border-radius 0.5s ease;
    background: var(--input-bg,#fff);
}
/* styling of Input */
.input {
    font-size: 1.3rem;
    background-color: transparent;
    width: 100%;
    height: 100%;
    padding-inline: 0.5em;
    padding-block: 0.7em;
    border: none;
}
/* styling of animated border */
.form:before {
    content: "";
    position: absolute;
    background: var(--border-color);
    transform: scaleX(0);
    transform-origin: center;
    width: 100%;
    height: var(--border-height);
    left: 0;
    bottom: 0;
    border-radius: 1px;
    transition: transform var(--timing) ease;
}
/* Hover on Input */
.form:focus-within {
    border-radius: var(--after-border-radius);
}

input:focus {
    outline: none;
}
/* here is code of animated border */
.form:focus-within:before {
    transform: scale(1);
}
/* styling of close button */
/* == you can click the close button to remove text == */
.reset {
    border: none;
    background: none;
    opacity: 0;
    visibility: hidden;
}
/* close button shown when typing */
input:not(:placeholder-shown) ~ .reset {
    opacity: 1;
    visibility: visible;
}
/* sizing svg icons */
.form svg {
    width: 17px;
    margin-top: 3px;
}

/* ----------------------------- */
/* ----------- InputForm ---------- */

.InputForm {
    font-weight: 500;
    font-size: 14px;
    height: 40px;
    border-radius: 5px;
    padding-left: 10px;
    border: none;
    border-bottom: 1px solid #e5e5e5;
    outline: none;
}

    .InputForm:focus {
        border-bottom: 1px solid #15284B;
        -webkit-transition: 0.1s;
        transition: 0.5s;
    }

    .inputTyping:hover{



    }


/* ----------------------------- */
/* ----------- SLIDER ---------- */



/* ----------------------------- */
